/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Edinburgh Speech Tools", "index.html", [
    [ "Edinburgh Speech Tools Library", "index.html", [
      [ "Index", "index.html#autotoc_md63", null ]
    ] ],
    [ "Basic Classes", "estbaseclass.html", "estbaseclass" ],
    [ "Executable Programs", "estexec.html", "estexec" ],
    [ "Grammar", "estgram.html", [
      [ "Overview", "estgram.html#estgramoverview", [
        [ "N-grams", "estgram.html#estgramngrams", [
          [ "Building ngram language models", "estgram.html#estgramngrambuild", [
            [ "Vocabularies", "estgram.html#autotoc_md1", null ],
            [ "ngram data input formats", "estgram.html#autotoc_md2", null ],
            [ "Smoothing and Backoff", "estgram.html#autotoc_md3", null ]
          ] ],
          [ "Testing ngram language models", "estgram.html#estngramtesting", null ]
        ] ],
        [ "SCFGs", "estgram.html#estngramscfg", null ],
        [ "WFSTs", "estgram.html#estngramwfst", [
          [ "Kay/Kaplan/Koskenniemi morphological rules", "estgram.html#estngramwfstkaykaplan", null ],
          [ "Regular expressions", "estgram.html#estngramwfstregex", null ],
          [ "Regular Grammars", "estgram.html#estngramwfstregulargrammars", null ]
        ] ]
      ] ],
      [ "Programs", "estgram.html#estngramprograms", null ],
      [ "Classes", "estgram.html#estngramclasses", null ]
    ] ],
    [ "Introduction to the Edinburgh Speech Tools", "estintro.html", [
      [ "The Library", "estintro.html#thelibrary", [
        [ "What does the library contain?", "estintro.html#autotoc_md4", [
          [ "Speech class", "estintro.html#autotoc_md5", null ],
          [ "Linguistic class", "estintro.html#autotoc_md6", null ],
          [ "Audio playback", "estintro.html#autotoc_md7", null ],
          [ "Signal processing", "estintro.html#autotoc_md8", null ],
          [ "Statistical functions", "estintro.html#autotoc_md9", null ],
          [ "Grammars", "estintro.html#autotoc_md10", null ],
          [ "Intonation", "estintro.html#autotoc_md11", null ],
          [ "Speech Recognition", "estintro.html#autotoc_md12", null ],
          [ "Utility Functions and Classes", "estintro.html#autotoc_md13", null ]
        ] ],
        [ "Using the speechtools", "estintro.html#autotoc_md14", null ]
      ] ]
    ] ],
    [ "Licence, Installation and acknowledgements", "estlicence.html", [
      [ "Licence", "estlicence.html#licence", null ],
      [ "Acknowledgments", "estlicence.html#estacknowledgements", [
        [ "Copyright", "estlicence.html#autotoc_md15", null ],
        [ "Authors", "estlicence.html#autotoc_md16", [
          [ "Other contributors", "estlicence.html#autotoc_md17", null ]
        ] ]
      ] ],
      [ "What is new", "estlicence.html#estwhatsnew", [
        [ "Free licence", "estlicence.html#autotoc_md18", null ],
        [ "Utterance consolidation", "estlicence.html#autotoc_md19", null ],
        [ "Generalization of Features", "estlicence.html#autotoc_md20", null ],
        [ "SIOD tidy up", "estlicence.html#autotoc_md21", null ],
        [ "C++ class documentation", "estlicence.html#autotoc_md22", null ],
        [ "Tilt Analysis/Resynthesis", "estlicence.html#autotoc_md23", null ]
      ] ],
      [ "Installation", "estlicence.html#estinstall", [
        [ "Release notes", "estlicence.html#estinstallrnotes", null ],
        [ "Requirements", "estlicence.html#estinstallreq", [
          [ "GNU Make", "estlicence.html#autotoc_md24", null ],
          [ "A C++ compiler", "estlicence.html#autotoc_md25", null ],
          [ "Supported Systems", "estlicence.html#autotoc_md26", null ],
          [ "Java Support", "estlicence.html#autotoc_md27", null ],
          [ "Windows 95/98/NT Port", "estlicence.html#autotoc_md28", [
            [ "Shared library creation is not supported", "estlicence.html#autotoc_md29", null ],
            [ "Java not supported", "estlicence.html#autotoc_md30", null ],
            [ "Command line editing limited", "estlicence.html#autotoc_md31", null ],
            [ "(Visual C) Networking not supported", "estlicence.html#autotoc_md32", null ]
          ] ]
        ] ],
        [ "Building speech tools", "estlicence.html#estinstallbuild", [
          [ "Configuration", "estlicence.html#autotoc_md33", null ],
          [ "Compilation", "estlicence.html#autotoc_md34", null ]
        ] ],
        [ "Installation", "estlicence.html#estinstallinstalling", null ],
        [ "Building on Windows 95/98/NT", "estlicence.html#estinstallbuildwind", [
          [ "Creating <em>VCMakefile</em>", "estlicence.html#autotoc_md35", null ],
          [ "Configuration", "estlicence.html#autotoc_md36", null ],
          [ "Building", "estlicence.html#autotoc_md37", null ]
        ] ]
      ] ]
    ] ],
    [ "Linguistic Classes", "estling.html", [
      [ "Introduction", "estling.html#eslingintro", [
        [ "Relations", "estling.html#estlingrelations", null ],
        [ "Items and Features", "estling.html#estlingitemsandfeatures", null ]
      ] ],
      [ "Classes", "estling.html#estlingclassessection", null ],
      [ "Functions", "estling.html#estlingfunctions", [
        [ "Tree traversal functions", "estling.html#autotoc_md38", null ],
        [ "Tree building functions", "estling.html#autotoc_md39", null ]
      ] ]
    ] ],
    [ "Client-Server Mechanisms", "estserver.html", [
      [ "The Services Table", "estserver.html#estserverservicetable", null ],
      [ "Writing Clients and Servers", "estserver.html#estserverwritingclientserver", [
        [ "A Simple Server", "estserver.html#autotoc_md40", null ],
        [ "A Simple Client", "estserver.html#simple-client", null ],
        [ "A Specialised Server", "estserver.html#estserverspecializedserver", null ],
        [ "A Client Which Handles Multiple Results", "estserver.html#estserverclientmultiplereq", null ]
      ] ],
      [ "Creating a new Service", "estserver.html#autotoc_md41", [
        [ "Commands", "estserver.html#autotoc_md42", null ],
        [ "Results", "estserver.html#autotoc_md43", null ]
      ] ],
      [ "The Network Protocol", "estserver.html#autotoc_md44", null ]
    ] ],
    [ "Signal Processing", "estsigpr.html", [
      [ "Overview", "estsigpr.html#estsigproverview", [
        [ "Design Issues", "estsigpr.html#estsigprdesign", null ],
        [ "Common Processing model", "estsigpr.html#estsigprcommonprocessing", null ],
        [ "Track Allocation, Frames, Channels and sub-tracks", "estsigpr.html#estsigprtrackalloc", null ]
      ] ],
      [ "Functions", "estsigpr.html#estsigprfunctions", [
        [ "Functions for Generating Frames", "estsigpr.html#est-sigpr-generating-frames", null ],
        [ "Functions for Generating Tracks", "estsigpr.html#sigpr-track-func", null ],
        [ "Functions for Windowing Frames of Waveforms", "estsigpr.html#est_sigpr_windowing", null ],
        [ "Filter functions", "estsigpr.html#sigpr-filter", null ],
        [ "Filter design", "estsigpr.html#sigpr-filter-design", null ]
      ] ],
      [ "Example", "estsigpr.html#autotoc_md45", null ],
      [ "Programs", "estsigpr.html#sigpr-programs", null ]
    ] ],
    [ "Speech Classes", "estspeechclass.html", [
      [ "Overview", "estspeechclass.html#overview", [
        [ "Waveforms", "estspeechclass.html#waveforms", null ],
        [ "The Track Class", "estspeechclass.html#trackclass", [
          [ "The Amplitude Matrix", "estspeechclass.html#autotoc_md46", null ],
          [ "The Time Array", "estspeechclass.html#autotoc_md47", null ],
          [ "The Break/Value Array", "estspeechclass.html#autotoc_md48", null ],
          [ "Channel names", "estspeechclass.html#autotoc_md49", null ],
          [ "The Auxiliary Matrix", "estspeechclass.html#autotoc_md50", null ],
          [ "Sub-tracks, channel and frame extaction", "estspeechclass.html#autotoc_md51", null ]
        ] ]
      ] ],
      [ "Programs", "estspeechclass.html#estspeechclassprograms", null ],
      [ "Classes", "estspeechclass.html#estspeechclassclasses", null ],
      [ "Functions", "estspeechclass.html#estspecchclassfunctions", [
        [ "Auxiliary Track Functions", "estspeechclass.html#estspeechclassfuncaux", null ]
      ] ],
      [ "Examples", "estspeechclass.html#autotoc_md52", null ]
    ] ],
    [ "The Tilt Intonation Model", "esttilt.html", [
      [ "Theoretical Overview", "esttilt.html#tilt-overview", [
        [ "RFC Analysis", "esttilt.html#esttilt-overview-rfcanalysis", [
          [ "Locating Events in the F0 contour", "esttilt.html#esttilt-overview-rfcanalysis-locating", null ],
          [ "Producing an RFC representation from an utterance's events and F0 contour", "esttilt.html#ov-rfc-analysis", null ]
        ] ],
        [ "RFC to Tilt Conversion", "esttilt.html#rfc2tilt", null ],
        [ "Tilt to RFC Conversion", "esttilt.html#tilt2rfc", null ],
        [ "RFC to F0 Synthesis", "esttilt.html#ov-rfc-to-tilt", null ]
      ] ],
      [ "Executable Programs", "esttilt.html#autotoc_md53", null ],
      [ "Functions", "esttilt.html#autotoc_md54", null ]
    ] ],
    [ "Utility Functions", "estutil.html", [
      [ "Utility Classes and Functions", "estutil.html#estutilclassfunc", [
        [ "Classes", "estutil.html#autotoc_md55", null ],
        [ "Functions", "estutil.html#autotoc_md56", null ]
      ] ]
    ] ],
    [ "Classification and Regression Trees", "estwagon.html", [
      [ "Overview", "estwagon.html#cart-overview", [
        [ "Impurities", "estwagon.html#estwagonimpurities", null ],
        [ "Question forming", "estwagon.html#estwagonoverviewquestion", null ],
        [ "Tree Building criteria", "estwagon.html#estwagonoverviewtreebuild", null ],
        [ "Data format", "estwagon.html#cart-formats", [
          [ "Feature vectors", "estwagon.html#estwagon-featvectors", null ],
          [ "Data descriptions", "estwagon.html#estwagon-datadescr", null ],
          [ "Tree format", "estwagon.html#estwagon-treeformat", null ]
        ] ]
      ] ],
      [ "Functions", "estwagon.html#estwagon-functions", null ],
      [ "Programs", "estwagon.html#estwagon-programs", null ]
    ] ],
    [ "XML support", "estxml.html", [
      [ "Reading XML Text As An EST_Utterance", "estxml.html#xmltoutterance", [
        [ "Summary of DTD Anotations", "estxml.html#autotoc_md57", null ]
      ] ],
      [ "The XML_Parser_Class C++ Class", "estxml.html#xmlparserclass", [
        [ "Some Definitions", "estxml.html#xmlparserclassdefinitions", null ],
        [ "Creating An XML Processing Procedure", "estxml.html#xmlcreatingxmlproc", [
          [ "Create a Sub-Class of XML_Parser_Class", "estxml.html#autotoc_md58", null ],
          [ "Create a Structure Holding the State of the Parse", "estxml.html#autotoc_md59", null ],
          [ "Decide How Entity IDs Should Be Converted To Filenames", "estxml.html#autotoc_md60", null ],
          [ "Write A Procedure To Start The Parser", "estxml.html#autotoc_md61", null ]
        ] ],
        [ "The XML_Parser_Class in Detail", "estxml.html#autotoc_md62", null ]
      ] ],
      [ "The RXP XML Parser", "estxml.html#rxpparser", null ]
    ] ],
    [ "align", "align_manual.html", [
      [ "Synopsis", "align_manual.html#synopsis", null ],
      [ "Options", "align_manual.html#options", null ]
    ] ],
    [ "ch_lab", "ch_lab_manual.html", null ],
    [ "ch_utt", "ch_utt_manual.html", null ],
    [ "design_filter", "design_filter_manual.html", null ],
    [ "sig2fv", "sig2fv_manual.html", [
      [ "Examples", "sig2fv_manual.html#sig2fv-examples", null ]
    ] ],
    [ "wagon_test", "wagon_test_manual.html", [
      [ "Testing trees", "wagon_test_manual.html#wagon_test-testing", null ]
    ] ],
    [ "wfst_run", "wfst_run_manual.html", null ],
    [ "Bibliography", "citelist.html", null ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"EST_8h_source.html",
"charset_8h_source.html",
"classEST__FeatureData.html#a6c571f346ce366c900983e1f5637e33a",
"classEST__Ngrammar.html",
"classEST__PredictionSuffixTree__tree__node.html#a685c7a352e1b07c4905f10493a0cf2e6",
"classEST__String.html#a3a46ae9ad2b5247f114d81159995c0dc",
"classEST__TKVL.html#a49509c65613fee762a3806bbe42420db",
"classEST__TVector.html#a4c0b8c0adc7bb23d4b9ca2b1b66c146b",
"classEST__Track.html#ac4333d1d659aa87e485a8b5562f454f6",
"classEST__WFST.html#a6151c7f1a0bbdbde49f8052c8358b53b",
"classHMM__State.html#abe97fe920094adfcdc70603bd74dd603",
"estexec.html",
"kvl__ii__t_8cc_source.html",
"structInfo.html#a36f074f8f9b910da869f66d97ba5c86b",
"structstats__accumulator.html#a9be28bf86eea540acdde5bdcce626a60"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';